﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGColumnWithDataTable
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();           
        }
       private void xdg_Loaded(object sender, RoutedEventArgs e)
       {
           xamDataGrid1.DataContext = Data.GetTable();
           xamDataGrid1.FieldLayoutSettings.AutoGenerateFields = false;
           xamDataGrid1.FieldLayoutInitialized +=
                new EventHandler<Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs>(xamDataGrid1_FieldLayoutInitialized);
       }
       void xamDataGrid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
       {
           Field DosagelField = new Field
           {
               Name = "Dosage",
               Label = "Dosage"
           };

           Field DrugField = new Field
           {
               Name = "Drug",
               Label = "Drug"
           };

           Field PatientField = new Field
           {
               Name = "Patient",
               Label = "Patient"
           };

           e.FieldLayout.Fields.Add(DosagelField);
           e.FieldLayout.Fields.Add(DrugField);
           e.FieldLayout.Fields.Add(PatientField);

       }

       private void XamDataGrid1_CellActivating(object sender, Infragistics.Windows.DataPresenter.Events.CellActivatingEventArgs e)
       {
           if (e.Cell.Field.Name == "Drug")
           {

           }
       }
      
    }

    public class Data
    {
        public Data()
        {

        }

        public static DataTable GetTable()
        {
            // Here we create a DataTable with three columns.
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));

            // Here we add five DataRows.
            table.Rows.Add(25, "E 8V2SCLF2 ", "E 8V2SCLF2");
            table.Rows.Add(50, "E8V2SCLF1 ", "E 8V2SCLF2");
            table.Rows.Add(10, "E 8V2SCLF1 ", "8V2SCLF1 ");
            table.Rows.Add(21, "E 8V2SCLF2 ", "Janet");
            table.Rows.Add(100, "8V2SCLF1 ", "Melanie");
            return table;
        }

       
    }
}
